Qt 5.11 | Qt GUI | C++ Classes | TouchPoint

Qt 5.11.3 Reference Documentation

# Obsolete Members for TouchPoint

The following members of class TouchPoint are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QRectF | rect() const
`(obsolete)` QRectF | sceneRect() const
`(obsolete)` QRectF | screenRect() const

## Member Function Documentation

### QRectF TouchPoint::rect() const

Returns the rect for this touch point, relative to the widget or QGraphicsItem that received the event. The rect is centered around the point returned by pos().

Note: This function returns an empty rect if the device does not report touch point sizes.

of the touchpoint regardless of rotation, whereas a touchpoint is more correctly modeled as an ellipse at position pos() with ellipseDiameters() which are independent of rotation().

See also scenePos() and ellipseDiameters().

### QRectF TouchPoint::sceneRect() const

Returns the rect for this touch point in scene coordinates.

Note: This function returns an empty rect if the device does not report touch point sizes.

of the touchpoint regardless of rotation, whereas a touchpoint is more correctly modeled as an ellipse at position scenePos() with ellipseDiameters() which are independent of rotation().

See also scenePos() and ellipseDiameters().

### QRectF TouchPoint::screenRect() const

Returns the rect for this touch point in screen coordinates.

Note: This function returns an empty rect if the device does not report touch point sizes.

touchpoint regardless of rotation, whereas a touchpoint is more correctly modeled as an ellipse at position screenPos() with ellipseDiameters() which are independent of rotation().

See also screenPos() and ellipseDiameters().